Package ec.es

# Class MuPlusLambdaBreeder

java.lang.Object
ec.Breeder
ec.es.MuCommaLambdaBreeder
ec.es.MuPlusLambdaBreeder

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class MuPlusLambdaBreeder extends MuCommaLambdaBreeder
MuPlusLambdaBreeder is a subclass of MuCommaLambdaBreeder which, together with ESSelection, implements the (mu + lambda) breeding strategy and gathers the comparison data you can use to implement a 1/5-rule mutation mechanism. Note that MuPlusLambdaBreeder increases subpopulation sizes by their mu values in the second generation and keep them at that size thereafter. See MuCommaLambdaBreeder for information about how to set mu and lambda.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ec.es.MuCommaLambdaBreeder

  `C_EXACTLY_ONE_FIFTH_BETTER, C_OVER_ONE_FIFTH_BETTER, C_UNDER_ONE_FIFTH_BETTER, comparison, count, lambda, mu, newIndividuals, P_LAMBDA, P_MU, P_MU_FRACTION, parentPopulation`

  ### Fields inherited from class ec.Breeder

  `sequentialBreeding`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MuPlusLambdaBreeder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `maximumMuLambdaDivisor()`
  lambda should be no SMALLER than mu times this value.
  `Population`
  `postProcess(Population newpop, Population oldpop, EvolutionState state)`
  A hook for Mu+Lambda, not used in Mu,Lambda

  ### Methods inherited from class ec.es.MuCommaLambdaBreeder

  `breedPopChunk, breedPopulation, setup`

  ### Methods inherited from class ec.Breeder

  `shouldBreedSubpop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MuPlusLambdaBreeder

    public MuPlusLambdaBreeder()

- ## Method Details

  - ### maximumMuLambdaDivisor

    public int maximumMuLambdaDivisor()
    Description copied from class: `MuCommaLambdaBreeder`
    lambda should be no SMALLER than mu times this value. This varies between (mu,lambda) (where it's 2) and (mu + lambda) (where it's 1).
    Overrides:
      `maximumMuLambdaDivisor` in class `MuCommaLambdaBreeder`

  - ### postProcess

    public Population postProcess(Population newpop, Population oldpop, EvolutionState state)
    Description copied from class: `MuCommaLambdaBreeder`
    A hook for Mu+Lambda, not used in Mu,Lambda
    Overrides:
      `postProcess` in class `MuCommaLambdaBreeder`